%Extract volume info
clearvars; clc;
%%% User Defined Variables
WMLabelFile = '/home/pmri/Ana/Utils/JHU-ICBM-labels.xlsx';
DataDir = '/media/sf_Common/PMRI/SG21/NIFTI/';
IndividualWMlabelname = [DataDir 'WMlabels_Indi.nii'];
T1T2name = [DataDir 'T1T2/emt1w_on_t2w.nii'];
ResCSVname = [DataDir 'MyelinationIndex.csv'];
%%%%%%%%%%%%%%%%%%%%%%%%%%%
WV = spm_vol(IndividualWMlabelname);
[WY, WXYZ] = spm_read_vols(WV);
Vsize = abs([WV.mat(1,1) WV.mat(2,2) WV.mat(3,3)]); 
Vsize3 = Vsize(1) * Vsize(2) * Vsize(3);
T1T2V = spm_vol(T1T2name);
T1T2Y = spm_read_vols(T1T2V);
res{1,1} = 'WM labels';
res{1,2} = 'averaged T1,T2 ratio';
WMLabel = readcell(WMLabelFile);
for i = 1:48 % 48 WM labels
    LabelVoxels = find(WY == i);
    res{i+1, 1} = WMLabel{i,2};
    res{i+1, 2} = mean(T1T2Y(LabelVoxels));
end
writecell(res, ResCSVname);



