#!/bin/bash
StructImgName="/media/sf_Common/PMRI/SG21/NIFTI/bSG21_T1.nii" # Your Structual MRI
DeformCoefficientName="/media/sf_Common/PMRI/SG21/NIFTI/nrbSG21_deform_coeff.nii"
WarpMNI_into_StructualMRI="/media/sf_Common/PMRI/SG21/NIFTI/WarpMNI2T1.nii"
WM_Individual_Directory="/media/sf_Common/PMRI/SG21/NIFTI/WM_labels/"

SECOND=0
RefImgName="/usr/local/fsl/data/standard/MNI152_T1_2mm.nii.gz" # Reference MRI (MNI152_T1_1mm.nii.gz)
WM_Ref_directory="/home/pmri/Ana/Utils/WM_labels/"
if [ -d $WM_Individual_Directory ] 
then
    echo "Directory" $WM_Individual_Directory" exists." 
else
    mkdir -p $WM_Individual_Directory
fi
for i in {1..50}; # 50 white matter labels
do
    WM_Ref_name=$WM_Ref_directory"WMlabels_"$i".nii"
    WM_Individual_name=$WM_Individual_Directory"WMlabels_"$i".nii"
    applywarp --ref=$StructImgName --in=$WM_Ref_name \
    --warp=$WarpMNI_into_StructualMRI --out=$WM_Individual_name --interp=nn
done

t=$SECONDS
printf 'Time taken: %d days, %d minutes\n' "$(( t/86400 ))" "$(( t/60 - 1440*(t/86400) ))"
