% Making T1, T2 ratio image with MRTool toolbox

clearvars; clc;
%%% User Defined Variables %%%
DataDir = '/media/sf_Common/PMRI/SG21/NIFTI/';
ResDir = '/media/sf_Common/PMRI/SG21/NIFTI/T1T2/';
T1name = [DataDir 'SG21_T1.nii'];
T2name = [DataDir 'SG21_T2.nii'];
MRToolT1template = '/usr/local/MATLAB/R2022a/toolbox/spm12/toolbox/MRTool/template/mni_icbm152_t1_tal_nlin_sym_09a.nii,1';
MRToolT2template = '/usr/local/MATLAB/R2022a/toolbox/spm12/toolbox/MRTool/template/mni_icbm152_t2_tal_nlin_sym_09a.nii,1';
MRToolTPM = '/usr/local/MATLAB/R2022a/toolbox/spm12/toolbox/MRTool/template/TPM.nii,1';
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
tic;
if ~isfolder(ResDir)
    mkdir(ResDir);
end
matlabbatch{1}.spm.tools.MRI.MRTool_applic.MRTool_T1T2.res_dir = {ResDir};
matlabbatch{1}.spm.tools.MRI.MRTool_applic.MRTool_T1T2.t1w = {T1name};
matlabbatch{1}.spm.tools.MRI.MRTool_applic.MRTool_T1T2.t2w = {T2name};
matlabbatch{1}.spm.tools.MRI.MRTool_applic.MRTool_T1T2.t1_template = {MRToolT1template};
matlabbatch{1}.spm.tools.MRI.MRTool_applic.MRTool_T1T2.t2_template = {MRToolT2template};
matlabbatch{1}.spm.tools.MRI.MRTool_applic.MRTool_T1T2.tpm_file = {MRToolTPM};
matlabbatch{1}.spm.tools.MRI.MRTool_applic.MRTool_T1T2.biasreg_t1 = 0.0001;
matlabbatch{1}.spm.tools.MRI.MRTool_applic.MRTool_T1T2.biasfwhm_t1 = 60;
matlabbatch{1}.spm.tools.MRI.MRTool_applic.MRTool_T1T2.biasreg_t2 = 0.0001;
matlabbatch{1}.spm.tools.MRI.MRTool_applic.MRTool_T1T2.biasfwhm_t2 = 60;
matlabbatch{1}.spm.tools.MRI.MRTool_applic.MRTool_T1T2.structural_res = 1;
matlabbatch{1}.spm.tools.MRI.MRTool_applic.MRTool_T1T2.calibration_flag = 1;
spm_jobman('run', matlabbatch);
toc